<div class="engine-loader">

  <div class="loader-image">
    <img class="loader-svg" src="../../assets/img/hx-loader-logo.svg">
  </div>

  <div class="loading-texts">
    <div class="anim-process" [ngStyle]="{'animation-delay': anim_delay(loaderObj.delay)}"
      *ngFor="let loaderObj of loaderArr; let i=index;">

      <table>
        <thead>
          <th class="load-done-container">
            <svg id='load-{{i}}' class="entityLoader" xmlns="http://www.w3.org/2000/svg"
              xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
              <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
                <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                  repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s">
                </animate>
              </circle>
              <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
                <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                  repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
                  begin="-0.44999999999999996s">
                </animate>
              </circle>
              <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
                <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                  repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s">
                </animate>
              </circle>
              <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
                <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
                  repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s">
                </animate>
              </circle>
            </svg>
            <i id='check-{{i}}' class="fa-2x fas fa-check"></i>
          </th>
          <th class="text" [ngClass]="{'bold': i == loaderArr.length-1}">{{loaderObj.text}}</th>

        </thead>
      </table>
      <!-- <span class="load-done-container">
        <svg id='load-{{i}}' class="entityLoader" xmlns="http://www.w3.org/2000/svg"
          xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 100 100" preserveAspectRatio="xMidYMid">
          <circle cx="27.5" cy="57.5" r="5" class="entityBlue">
            <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
              repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.6s">
            </animate>
          </circle>
          <circle cx="42.5" cy="57.5" r="5" class="entityBlue">
            <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
              repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s"
              begin="-0.44999999999999996s">
            </animate>
          </circle>
          <circle cx="57.5" cy="57.5" r="5" class="entityBlue">
            <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
              repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.3s">
            </animate>
          </circle>
          <circle cx="72.5" cy="57.5" r="5" class="entityBlue">
            <animate attributeName="cy" calcMode="spline" keySplines="0 0.5 0.5 1;0.5 0 1 0.5;0.5 0.5 0.5 0.5"
              repeatCount="indefinite" values="57.5;42.5;57.5;57.5" keyTimes="0;0.3;0.6;1" dur="1s" begin="-0.15s">
            </animate>
          </circle>
        </svg>
        <i id='check-{{i}}' class="fa-2x fas fa-check"></i>
      </span>

      <span class="text" [ngClass]="{'bold': i == loaderArr.length-1}">{{loaderObj.text}}</span> -->
    </div>
  </div>
</div>